Welcome to mirror list, hosted at ThFree Co, Russian Federation.

git.blender.org/blender.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBastien Montagne <montagne29@wanadoo.fr>2016-03-26 02:31:41 +0300
committerSergey Sharybin <sergey.vfx@gmail.com>2016-04-05 11:46:28 +0300
commit95de7b9a5fb378e77303fe401569e323cdd7896e (patch)
tree8e93fd3d9b47ddeed00615eb1dfb610804140277
parentf36de2733965c96117aa9b68053c0fffa805779a (diff)
Fix T47939: Install Deps OSL 1.7.1 and clang-3.5
Until we officially support llvm3.5 or more, only allow for 3.4 llvm packages, and build own stuff otherwise...
-rwxr-xr-xbuild_files/build_environment/install_deps.sh20
1 files changed, 10 insertions, 10 deletions
diff --git a/build_files/build_environment/install_deps.sh b/build_files/build_environment/install_deps.sh
index 9b080f72d6c..9024ff056f3 100755
--- a/build_files/build_environment/install_deps.sh
+++ b/build_files/build_environment/install_deps.sh
@@ -2649,15 +2649,15 @@ install_DEB() {
LLVM_VERSION_FOUND=$LLVM_VERSION
clean_LLVM
else
- check_package_version_ge_DEB llvm-dev $LLVM_VERSION_MIN
- if [ $? -eq 0 ]; then
- install_packages_DEB llvm-dev clang
- have_llvm=true
- LLVM_VERSION_FOUND="" # Using default one, no need to specify it!
- clean_LLVM
- else
- _do_compile_llvm=true
- fi
+ #~ check_package_version_ge_DEB llvm-dev $LLVM_VERSION_MIN
+ #~ if [ $? -eq 0 ]; then
+ #~ install_packages_DEB llvm-dev clang
+ #~ have_llvm=true
+ #~ LLVM_VERSION_FOUND="" # Using default one, no need to specify it!
+ #~ clean_LLVM
+ #~ else
+ _do_compile_llvm=true
+ #~ fi
fi
fi
@@ -3563,7 +3563,7 @@ install_ARCH() {
INFO "Forced LLVM building, as requested..."
_do_compile_llvm=true
else
- check_package_version_ge_ARCH llvm $LLVM_VERSION_MIN
+ check_package_version_match_ARCH llvm $LLVM_VERSION
if [ $? -eq 0 ]; then
install_packages_ARCH llvm clang
have_llvm=true